# arm_fir_interpolate_instance_q15 Struct Reference

Instance structure for the Q15 FIR interpolator. More...

`#include <arm_math.h>`

## Data Fields

uint8_t | L
uint16_t | phaseLength
q15_t * | pCoeffs
q15_t * | pState

## Detailed Description

Instance structure for the Q15 FIR interpolator.

Definition at line 3395 of file arm_math.h.

## Field Documentation

uint8_t arm_fir_interpolate_instance_q15::L

upsample factor.

Definition at line 3397 of file arm_math.h.

uint16_t arm_fir_interpolate_instance_q15::phaseLength

length of each polyphase filter component.

Definition at line 3398 of file arm_math.h.

q15_t* arm_fir_interpolate_instance_q15::pCoeffs

points to the coefficient array. The array is of length L*phaseLength.

Definition at line 3399 of file arm_math.h.

q15_t* arm_fir_interpolate_instance_q15::pState

points to the state variable array. The array is of length blockSize+phaseLength-1.

Definition at line 3400 of file arm_math.h.

The documentation for this struct was generated from the following file:

- arm_math.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Defines